%global install_loc  %{_datadir}/eclipse/dropins/%{pkgname}/eclipse/plugins/
%global pkgname      signs

Name:           eclipse-%{pkgname}
Version:        0.6.4
Release:        1.svn55%{?dist}
Summary:        Eclipse-based VHDL simulator and synthesis plugin

Group:          Applications/Engineering
License:        BSD
URL:            http://www.iti.uni-stuttgart.de/~bartscgr/signs/wiki/index.php

# Downloaded from SVN svn co https://signs.svn.sourceforge.net/svnroot/signs signs
Source0:        %{pkgname}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel

BuildArch:      noarch


%description
Signs is a development environment for hardware designs in
various hardware description languages. The tackled tasks
are compilation, synthesis and testing of designs. Due to 
the integration of these main areas it provides the ability
to debug designs in an all-embracing manner by switching 
between source code, netlist and simulation.

%prep
%setup -q -n %{pkgname}-%{version}

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

# for docs
%{__cp} -p test/* examples/

# rpmlint warnings
iconv -f iso8859-1 -t utf-8 examples/alu_tb.vhdl > alu.conv 
mv -f alu.conv examples/alu_tb.vhdl
chmod 0755 slib/compile.sh
chmod 0644 examples/recursive_gates.vhd

%build
export JAVACC_HOME=%{_datadir}/java
export ECLIPSE_HOME=%{_libdir}/eclipse

ant

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m 755 %{buildroot}%{install_loc}

%{__install} -pm 0755 %{pkgname} %{buildroot}%{install_loc}
%{__install} -pm 0644 bin/%{pkgname}.jar %{buildroot}%{install_loc}

%{__cp} -pr share %{buildroot}%{install_loc}
%{__cp} -pr slib %{buildroot}%{install_loc}
%{__cp} -pr META-INF %{buildroot}%{install_loc}

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README TODO ChangeLog examples/
%{install_loc}


%changelog
* Tue Jun 16 2008 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 0.6.4-1.svn55
- Initial Fedora Package
